Skip to main content
Document Operations

Update party

<small>Requires an API token with the Document Manager role.</small>

PUT
/documents/{document}/parties/{party}

Updates the details of a party on a document.

Note: When updating a party that is linked to an account party (where is_internal_party is true), only reference can be updated. Attempting to update other fields will cause the request to be rejected with a validation error.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

partystringrequired

The party UUID

Body

application/json
addressstring | null

The party's address

Maximum string length: 255
Example: 1 Oxford Road Henley Bridge HB1 1PQ
entity_namestring | null

The actual name of the party. i.e. name of the company or person. Must be non-null in order for the document to proceed to the signing stage

Maximum string length: 255
Example: Demo Inc.
referencestring

A generic reference for the party

Maximum string length: 255
Example: Employer
scopeenum<string>

When this is internal_and_external, collaborators from this party may change the party's information

Available options: internal, internal_and_external

Response

application/json

DocumentPartyResource

dataobjectrequired